%define option  0
%define option_subrel 3
%define date    20140509
%define rel 4

%if %option
%define subrel %option.%option_subrel
%define namevers %name-%version-%option
%else
%define namevers %name-%version
%endif
%if %date
%define release %mkrel -c %date %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: Graphics Library
Name:    efx
Version: 1.9.99
Release: %{release}
License: LGPLv2+
Group: Graphical desktop/Enlightenment
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %date
Source: %name-%date.tar.bz2
%else
Source: https://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
URL: http://trac.enlightenment.org/e/wiki/Efx
BuildRequires: pkgconfig
BuildRequires: doxygen
BuildRequires: pkgconfig(efl)


%description
%name is a graphics library.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%if %date
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %date
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static
%make_build

%install
%make_install

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS
%{_bindir}/test_*

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}
%{_datadir}/%name

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.9.99-0.20140509.4.mga10
+ Revision: 2214104
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 1.9.99-0.20140509.3.mga9
+ Revision: 1841901
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.9.99-0.20140509.2.mga8
+ Revision: 1512083
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.9.99-0.20140509.2.mga7
+ Revision: 1297577
- Mageia 7 Mass Rebuild

* Fri Jan 29 2016 pterjan <pterjan> 1.9.99-0.20140509.2.mga6
+ Revision: 928785
- Fix release increment

* Thu Jan 28 2016 umeabot <umeabot> 1.9.99-0.20140509.1.mga6
+ Revision: 928481
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 09 2014 trem <trem> 1.9.99-0.20140509.1.mga5
+ Revision: 621536
- bump to 1.9.99 (20140509)

* Sat Oct 19 2013 umeabot <umeabot> 1.7.99-0.r81625.2.mga4
+ Revision: 523489
- Mageia 4 Mass Rebuild

* Tue May 07 2013 trem <trem> 1.7.99-0.r81625.2.mga3
+ Revision: 412582
- increase release to rebuild
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 trem <trem> 1.7.99-0.r81625.1.mga3
+ Revision: 334160
- imported package efx

